Bug 416371 - Screen corruption when scrolling checkbox list for detailed package selection
Screen corruption when scrolling checkbox list for detailed package selection
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
All Linux
low Severity low
: ---
: ---
Assigned To: Anaconda Maintenance Team
Fedora Extras Quality Assurance
: 426854 431699 (view as bug list)
Depends On:
  Show dependency treegraph
Reported: 2007-12-08 02:09 EST by Karl Czajkowski
Modified: 2008-08-06 16:56 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-08-06 16:56:42 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Karl Czajkowski 2007-12-08 02:09:13 EST
Description of problem:

I think this might be an Xserver problem or GUI toolkit problem, but the only
repeatable place I've observed it is during Anaconda installer runs.  Perhaps
someone more knowledgeable about anaconda would change the component assignment
for this bug report.

When scrolling the package list in an install to select optional packages, the
items are sometimes garbled and alternately replacing/repeating one entry
instead of showing the proper list. I've noticed this particularly in the list
of graphical tools.

Version-Release number of selected component (if applicable):

Stock Fedora 8 installer using PXE or diskboot.img boot kernel and FTP-based
network install.

How reproducible:

Always, observed for Intel, Nvidia, ATI Radeon, VMware, and VNC based graphical

Steps to Reproduce:
1. Run a fresh install using the standard media.
2. Enable detailed package selection during install.
3. Go to graphical tools packages and scroll up and down in first dozen or two rows.
Actual results:

Entries are garbled and it isn't possible to be sure which item is actually
being selected when clicking on a checkbox. Scrolling back and forth or clicking
may or may not refresh the row and change the displayed text.

Expected results:

Rock solid scrolling with no repeated or garbled row displays.

Additional info:
Comment 1 Chris Lumens 2008-01-10 11:50:19 EST
*** Bug 426854 has been marked as a duplicate of this bug. ***
Comment 2 Chris Lumens 2008-04-20 17:04:50 EDT
*** Bug 431699 has been marked as a duplicate of this bug. ***
Comment 3 Andy Lindeberg 2008-06-03 14:31:41 EDT
Have you run into this in F9? I did a test install and looked for it, but
encountered nothing garbled.

Note You need to log in before you can comment on or make changes to this bug.